mkdoc(1)

NAME
mkdoc - Turn SML signatures into rudimentary ML-Doc files.

SYNOPSIS
mk-doc [-a | -b | -]? [-o output-file] [-c copyright] [-s | +s strid] [-f | +f fctid arg-id arg-sig] [-i | +i struct] sml-file ...

DESCRIPTION
mkdoc transforms an SML source file into SGML text for further processing by ml-doc(1). The output file contains the required basic structure. Further editing is required to produce useful documentation. Comments from the SML source can be included in the output ( the -a and -b options) as SGML comments.

OPTIONS

-?  Display a summary of options.

-a  Copy comments written after a specification.

-b  Copy comments written before a specification.

-o outfile
    Specify an output file to use instead of standard output.

-c copyright
    Insert the given copyright string into the output.

-s/+s strid
    Instead of placing the generated SIGBODY within SIGNATURE tags, the file must contain a single signature, use STRUCTURE tags with the specified STRID. Bind opaquely if +s is given.

-f/+f fctid arg-id arg-sig
    As per -s/+s, but wrap the result in FUNCTOR tags, with fct as FCTID, arg-id as the functor argument ID, and arg-sig as its signature ID.

-i/+i struct
    Attach, for each -/+i option given, a SIGINSTANCE, possibly with an OPAQUE attribute, onto the output.

EXAMPLES
    mkdoc +i IntBinaryMap +i IntListMap Util/ord-map-sig.sml
    mkdoc -f SplayMapFn K ORD_KEY Util/ord-map-sig.sml

BUGS
Error messages are usually just uncaught exceptions.

SEE ALSO
ml-doc(1).

AUTHORS
Emden Gansner <erg@research.att.com> wrote Mkdoc. Dan Wang <danwang@cs.princeton.edu> added the comment extraction feature.